Package com.smartgwt.client.widgets

# Class ToggleSwitch

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.StatefulCanvas
com.smartgwt.client.widgets.ToggleSwitch

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasToggleValueChangedHandlers`, `HasVisibilityChangedHandlers`

public class ToggleSwitch extends StatefulCanvas implements HasToggleValueChangedHandlers
A simple control that presents a Boolean value as a toggle-switch, where the value can be toggled by clicking with the mouse, or with the Spacebar and left/right arrow-keys when `toggleOnKeypress` is true.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleSwitch()`
  `ToggleSwitch(JavaScriptObject jsObj)`
  `ToggleSwitch(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addToggleValueChangedHandler(ToggleValueChangedHandler handler)`
  Add a toggleValueChanged handler.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `Boolean`
  `getAnimateThumb()`
  When set to true, animates the movement of the `thumb` when the value changes.
  `Integer`
  `getAnimateThumbTime()`
  When `animateThumb` is true, the time taken to move the `thumb` from one state to the other.
  `Boolean`
  `getDefaultValue()`
  The default value of this ToggleSwitch.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static ToggleSwitch`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Canvas`
  `getThumb()`
  A canvas used as the thumb of this ToggleSwitch, which can be styled using `thumbBaseStyle` and otherwise modified according to the AutoChild pattern - `thumbConstructor`, `thumbDefaults` and `thumbProperties` are valid.
  `String`
  `getThumbBaseStyle()`
  The name of the base CSS class to apply to the `thumb` of this toggle switch - the actual styleName applied will be suffixed "On" or "Off", depending on this widget's current value.
  `Integer`
  `getThumbOffset()`
  Spacing to apply inside of this ToggleSwitch, outside of the `thumb`.
  `String`
  `getThumbRadius()`
  The CSS border-radius for the `thumb`.
  `String`
  `getToggleBaseStyle()`
  The name of the CSS class to apply to this ToggleSwitch - the actual styleName applied will be suffixed "On" or "Off", depending on the widget's current value.
  `Boolean`
  `getToggleOnKeypress()`
  When set to true, the value can be toggled by pressing the Spacebar, or changed with the left and right arrow-keys.
  `Boolean`
  `getToggleOnThumbClick()`
  When set to true, causes the ToggleSwitch to change value when the `thumb` is clicked, as well as when clicking in the widget body.
  `Boolean`
  `getValue()`
  The current value of this ToggleSwitch.
  `ToggleSwitch`
  `setAnimateThumb(Boolean animateThumb)`
  When set to true, animates the movement of the `thumb` when the value changes.
  `ToggleSwitch`
  `setAnimateThumbTime(Integer animateThumbTime)`
  When `animateThumb` is true, the time taken to move the `thumb` from one state to the other.
  `static void`
  `setDefaultProperties(ToggleSwitch toggleSwitchProperties)`
  Class level method to set the default properties of this class.
  `ToggleSwitch`
  `setDefaultValue(Boolean defaultValue)`
  The default value of this ToggleSwitch.
  `LogicalStructureObject`
  `setLogicalStructure(ToggleSwitchLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `ToggleSwitch`
  `setThumbBaseStyle(String thumbBaseStyle)`
  The name of the base CSS class to apply to the `thumb` of this toggle switch - the actual styleName applied will be suffixed "On" or "Off", depending on this widget's current value.
  `ToggleSwitch`
  `setThumbOffset(Integer thumbOffset)`
  Spacing to apply inside of this ToggleSwitch, outside of the `thumb`.
  `ToggleSwitch`
  `setThumbRadius(String thumbRadius)`
  The CSS border-radius for the `thumb`.
  `ToggleSwitch`
  `setToggleBaseStyle(String toggleBaseStyle)`
  The name of the CSS class to apply to this ToggleSwitch - the actual styleName applied will be suffixed "On" or "Off", depending on the widget's current value.
  `ToggleSwitch`
  `setToggleOnKeypress(Boolean toggleOnKeypress)`
  When set to true, the value can be toggled by pressing the Spacebar, or changed with the left and right arrow-keys.
  `ToggleSwitch`
  `setToggleOnThumbClick(Boolean toggleOnThumbClick)`
  When set to true, causes the ToggleSwitch to change value when the `thumb` is clicked, as well as when clicking in the widget body.
  `ToggleSwitch`
  `setValue(Boolean value)`
  The current value of this ToggleSwitch.

  ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

  `addToRadioGroup, deselect, getActionType, getAlign, getAriaLabel, getAriaStateDefaults, getAutoFit, getBaseStyle, getEditProxyConstructor, getHeight, getHeightAsString, getIcon, getIconHeight, getIconOrientation, getIconSize, getIconStyle, getIconWidth, getIgnoreRTL, getLabelHPad, getLabelVPad, getOverCanvas, getOverCanvasConstructor, getRadioGroup, getRedrawOnStateChange, getSelected, getShowDisabled, getShowDisabledIcon, getShowDown, getShowDownIcon, getShowFocused, getShowFocusedAsOver, getShowFocusedIcon, getShowMenuOnClick, getShowOverCanvas, getShowRollOver, getShowRollOverIcon, getShowRTLIcon, getShowSelectedIcon, getState, getStateSuffix, getStyleName, getTitle, getValign, getVIconStyle, getWidth, getWidthAsString, isSelected, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAlign, setAriaLabel, setAutoFit, setBaseStyle, setDefaultProperties, setEditProxyConstructor, setHeight, setHeight, setIcon, setIconHeight, setIconOrientation, setIconSize, setIconStyle, setIconWidth, setIgnoreRTL, setLabelHPad, setLabelVPad, setLogicalStructure, setOverCanvasConstructor, setRadioGroup, setRedrawOnStateChange, setSelected, setShowDisabled, setShowDisabledIcon, setShowDown, setShowDownIcon, setShowFocused, setShowFocusedAsOver, setShowFocusedIcon, setShowMenuOnClick, setShowOverCanvas, setShowRollOver, setShowRollOverIcon, setShowRTLIcon, setShowSelectedIcon, setState, setStyleName, setTitle, setTitleFormatter, setTitleStyle, setValign, setVIconStyle, setWidth, setWidth`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBorderRadiusAsString, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setSuppressRedraw, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### ToggleSwitch

    public ToggleSwitch()

  - ### ToggleSwitch

    public ToggleSwitch(JavaScriptObject jsObj)

  - ### ToggleSwitch

    public ToggleSwitch(String title)

- ## Method Details

  - ### getOrCreateRef

    public static ToggleSwitch getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `StatefulCanvas`

  - ### setAnimateThumb

    public ToggleSwitch setAnimateThumb(Boolean animateThumb)
    When set to true, animates the movement of the `thumb` when the value changes.
    Parameters:
      `animateThumb` - New animateThumb value. Default value is true
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getAnimateThumb

    public Boolean getAnimateThumb()
    When set to true, animates the movement of the `thumb` when the value changes.
    Returns:
      Current animateThumb value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setAnimateThumbTime

    public ToggleSwitch setAnimateThumbTime(Integer animateThumbTime)
    When `animateThumb` is true, the time taken to move the `thumb` from one state to the other.
    Parameters:
      `animateThumbTime` - New animateThumbTime value. Default value is 200
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getAnimateThumbTime

    public Integer getAnimateThumbTime()
    When `animateThumb` is true, the time taken to move the `thumb` from one state to the other.
    Returns:
      Current animateThumbTime value. Default value is 200
    See Also:
      - `Appearance overview and related methods`

  - ### setDefaultValue

    public ToggleSwitch setDefaultValue(Boolean defaultValue)
    The default value of this ToggleSwitch.
    Parameters:
      `defaultValue` - New defaultValue value. Default value is false
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getDefaultValue

    public Boolean getDefaultValue()
    The default value of this ToggleSwitch.
    Returns:
      Current defaultValue value. Default value is false
    See Also:
      - `Appearance overview and related methods`

  - ### getThumb

    public Canvas getThumb() throws IllegalStateException
    A canvas used as the thumb of this ToggleSwitch, which can be styled using `thumbBaseStyle` and otherwise modified according to the AutoChild pattern - `thumbConstructor`, `thumbDefaults` and `thumbProperties` are valid.

    This component is an AutoChild named "thumb". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current thumb value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setThumbBaseStyle

    public ToggleSwitch setThumbBaseStyle(String thumbBaseStyle)
    The name of the base CSS class to apply to the `thumb` of this toggle switch - the actual styleName applied will be suffixed "On" or "Off", depending on this widget's current value.
    Parameters:
      `thumbBaseStyle` - New thumbBaseStyle value. Default value is "toggleSwitchThumb"
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getThumbBaseStyle

    public String getThumbBaseStyle()
    The name of the base CSS class to apply to the `thumb` of this toggle switch - the actual styleName applied will be suffixed "On" or "Off", depending on this widget's current value.
    Returns:
      Current thumbBaseStyle value. Default value is "toggleSwitchThumb"
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setThumbOffset

    public ToggleSwitch setThumbOffset(Integer thumbOffset)
    Spacing to apply inside of this ToggleSwitch, outside of the `thumb`.
    Parameters:
      `thumbOffset` - New thumbOffset value. Default value is 2
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getThumbOffset

    public Integer getThumbOffset()
    Spacing to apply inside of this ToggleSwitch, outside of the `thumb`.
    Returns:
      Current thumbOffset value. Default value is 2
    See Also:
      - `Appearance overview and related methods`

  - ### setThumbRadius

    public ToggleSwitch setThumbRadius(String thumbRadius)
    The CSS border-radius for the `thumb`. The value can be any variant of a CSS border-radius value - that is, from 1 to 4 space-separated px values, where one value affects all corners and 4 values affects individual corners. For example "10px" applies a 10px radius to all corners, where "5px 10px 15px 20px" applies a different radius to each corner, clockwise from Top-Left: "TL TR BR BL".
    Parameters:
      `thumbRadius` - New thumbRadius value. Default value is null
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getThumbRadius

    public String getThumbRadius()
    The CSS border-radius for the `thumb`. The value can be any variant of a CSS border-radius value - that is, from 1 to 4 space-separated px values, where one value affects all corners and 4 values affects individual corners. For example "10px" applies a 10px radius to all corners, where "5px 10px 15px 20px" applies a different radius to each corner, clockwise from Top-Left: "TL TR BR BL".
    Returns:
      Current thumbRadius value. Default value is null
    See Also:
      - `Appearance overview and related methods`

  - ### setToggleBaseStyle

    public ToggleSwitch setToggleBaseStyle(String toggleBaseStyle)
    The name of the CSS class to apply to this ToggleSwitch - the actual styleName applied will be suffixed "On" or "Off", depending on the widget's current value.
    Parameters:
      `toggleBaseStyle` - New toggleBaseStyle value. Default value is "toggleSwitch"
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getToggleBaseStyle

    public String getToggleBaseStyle()
    The name of the CSS class to apply to this ToggleSwitch - the actual styleName applied will be suffixed "On" or "Off", depending on the widget's current value.
    Returns:
      Current toggleBaseStyle value. Default value is "toggleSwitch"
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setToggleOnKeypress

    public ToggleSwitch setToggleOnKeypress(Boolean toggleOnKeypress)
    When set to true, the value can be toggled by pressing the Spacebar, or changed with the left and right arrow-keys.
    Parameters:
      `toggleOnKeypress` - New toggleOnKeypress value. Default value is true
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getToggleOnKeypress

    public Boolean getToggleOnKeypress()
    When set to true, the value can be toggled by pressing the Spacebar, or changed with the left and right arrow-keys.
    Returns:
      Current toggleOnKeypress value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setToggleOnThumbClick

    public ToggleSwitch setToggleOnThumbClick(Boolean toggleOnThumbClick)
    When set to true, causes the ToggleSwitch to change value when the `thumb` is clicked, as well as when clicking in the widget body.
    Parameters:
      `toggleOnThumbClick` - New toggleOnThumbClick value. Default value is true
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getToggleOnThumbClick

    public Boolean getToggleOnThumbClick()
    When set to true, causes the ToggleSwitch to change value when the `thumb` is clicked, as well as when clicking in the widget body.
    Returns:
      Current toggleOnThumbClick value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setValue

    public ToggleSwitch setValue(Boolean value)
    The current value of this ToggleSwitch.
    If this method is called after the component has been drawn/initialized: Sets the `value` of this ToggleSwitch.
    Parameters:
      `value` - new value for the ToggleSwitch. Default value is false
    Returns:
      `ToggleSwitch` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getValue

    public Boolean getValue()
    The current value of this ToggleSwitch.
    Returns:
      Returns the current `value` of this ToggleSwitch. Default value is false
    See Also:
      - `Appearance overview and related methods`

  - ### addToggleValueChangedHandler

    public HandlerRegistration addToggleValueChangedHandler(ToggleValueChangedHandler handler)
    Add a toggleValueChanged handler.

    Notification fired when the value is toggled by the user.

    Specified by:
      `addToggleValueChangedHandler` in interface `HasToggleValueChangedHandlers`
    Parameters:
      `handler` - the toggleValueChanged handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### setDefaultProperties

    public static void setDefaultProperties(ToggleSwitch toggleSwitchProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `toggleSwitchProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(ToggleSwitchLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `StatefulCanvas`